| Box2D 2.3.0 A 2D Physics Engine for Games

Public Attributes | List of all members
b2Filter Struct Reference

This holds contact filtering data. More...

`#include <b2Fixture.h>`

## Public Attributes
uint16 | categoryBits
| The collision category bits. Normally you would just set one bit.
uint16 | maskBits
int16 | groupIndex

## Detailed Description

This holds contact filtering data.

## Member Data Documentation

## ◆ groupIndex

int16 b2Filter::groupIndex

Collision groups allow a certain group of objects to never collide (negative) or always collide (positive). Zero means no collision group. Non-zero group filtering always wins against the mask bits.

## ◆ maskBits

uint16 b2Filter::maskBits

The collision mask bits. This states the categories that this shape would accept for collision.

The documentation for this struct was generated from the following file:

- b2Fixture.h